complexType "ccapp:CTMCRepSimParams"

Namespace: | http://www.iro.umontreal.ca/lecuyer/contactcenters/app
Content: | complex, 12 attributes, 9 elements
Defined: | globally in ccapp.xsd, see XML source
Includes: | definitions of 3 attributes and 3 elements
Used: | at 1 location

XML Representation Summary
<...
| alwaysUseIndexedSearch | = | xsd:boolean : "false"
| cpuTimeLimit | = | xsd:duration
| enableChrono | = | xsd:boolean : "true"
| estimateContactTypeAgentGroup | = | xsd:boolean : "false"
| keepObs | = | xsd:boolean : "false"
| keepQueues | = | xsd:boolean : "true"
| maxReplications | = | xsd:int
| minReplications | = | xsd:int
| normalizeToDefaultUnit | = | xsd:boolean : "false"
| perPeriodCollectingMode | = | ("PERIODOFENTRY" | "PERIODOFEXIT" | "PERIODOFBEGINSERVICEORENTRY" | "PERIODOFBEGINSERVICEOREXIT") : "PERIODOFENTRY"
| restrictToPrintedStat | = | xsd:boolean : "false"
| timeHorizon | = | xsd:duration
| >
Content: | callTrace?, report?, randomStreams?, sequentialSampling*, controlVariable*, outReplications?, minNumAgents?, maxNumAgents?, thresholds*
</...>

Content Elements (9):

  callTrace (type ccapp:CallTraceParams), controlVariable (type ccapp:ControlVariableParams), maxNumAgents (type ssj:nonNegativeIntList), minNumAgents (type ssj:nonNegativeIntList), outReplications (type ssj:nonNegativeIntList), | randomStreams (type ccapp:RandomStreamsParams), report (type ccapp:ReportParams), sequentialSampling (type ccapp:SequentialSamplingParams), thresholds (type ssj:IntArray)

All Direct / Indirect Based Elements (1):

  ccapp:ctmcrepSimParams

Known Usage Locations

- As direct type of elements (1):
  ccapp:ctmcrepSimParams

Annotation
Represents parameters specific to an experiment simulating a CTMC with independent replications.
Type Definition Detail

Type Derivation Tree ccapp:SimParams ccapp:RepSimParams (extension) ccapp:CTMCRepSimParams (extension)

XML Source (w/o annotations (7); see schema source)

<xsd:complexType name="CTMCRepSimParams"> <xsd:complexContent> <xsd:extension base="ccapp:RepSimParams"> <xsd:sequence> <xsd:element maxOccurs="1" minOccurs="0" name="minNumAgents" type="ssj:nonNegativeIntList"> </xsd:element> <xsd:element maxOccurs="1" minOccurs="0" name="maxNumAgents" type="ssj:nonNegativeIntList"> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="thresholds" type="ssj:IntArray"> </xsd:element> </xsd:sequence> <xsd:attribute name="timeHorizon" type="ssj:positiveDuration"> </xsd:attribute> <xsd:attribute default="true" name="keepQueues" type="xsd:boolean"> </xsd:attribute> <xsd:attribute default="false" name="alwaysUseIndexedSearch" type="xsd:boolean"> </xsd:attribute> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Attribute Detail (defined in this component only)
alwaysUseIndexedSearch

  When this flag is set to `true,` the simulator always uses indexed search for selecting events, which permits a better performance when the state space is partitioned based on the number of agents and queue size. However, if the state space is not partitioned, the simulator specialized for a single call type and agent group, not using indexed search, is usually more efficient.

  Type: | xsd:boolean
  Use: | optional
  Default: | "false"
  Defined: | locally, within (this) ccapp:CTMCRepSimParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:attribute default="false" name="alwaysUseIndexedSearch" type="xsd:boolean"> </xsd:attribute>

keepQueues

  Determines if the transition numbers of queued contacts are kept in memory during the simulation. This ie necessary to estimate some performance measures such as the service level.

  Type: | xsd:boolean
  Use: | optional
  Default: | "true"
  Defined: | locally, within (this) ccapp:CTMCRepSimParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:attribute default="true" name="keepQueues" type="xsd:boolean"> </xsd:attribute>

timeHorizon

  Determines the time horizon of the simulation, if a single period is simulated. If this attribute is omitted, the period duration set in the model is used as the time horizon. This attribute is ignored for multi-periods simulations.

  Type: | ssj:positiveDuration
  Use: | optional
  Defined: | locally, within (this) ccapp:CTMCRepSimParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:attribute name="timeHorizon" type="ssj:positiveDuration"> </xsd:attribute>

Content Element Detail (defined in this component only)
maxNumAgents

  Determines, for each agent group, the maximal number of agents used when comparing different staffing vectors using simulation. If this element is omitted, the maximal number of agents is obtained from the model's staffing vector. As with `minNumAgents,` the size of the given array must be 1 or `I.`

  Type: | ssj:nonNegativeIntList, simple content
  Defined: | locally, within (this) ccapp:CTMCRepSimParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:element maxOccurs="1" minOccurs="0" name="maxNumAgents" type="ssj:nonNegativeIntList"> </xsd:element>

minNumAgents

  Determines, for each agent group, the minimal number of agents used when comparing different staffing vectors using simulation. If this element is omitted, the minimal number of agents is 0. If this element contains a single value, the given minimal number of agents is used for each group. Otherwise, the list must contain `I` element, where `I` is the number of agent groups in the model.

  Type: | ssj:nonNegativeIntList, simple content
  Defined: | locally, within (this) ccapp:CTMCRepSimParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:element maxOccurs="1" minOccurs="0" name="minNumAgents" type="ssj:nonNegativeIntList"> </xsd:element>

thresholds

  Determines a matrix of thresholds on the number of agents, and queue size, which is used to speed up simulation. When the number of busy agents and queue size is below such a vector of thresholds, a lower transition rate can be used instead of the regular rate, and several successive self jumps can often be generated from a single random number. Each row of the given matrix must correspond to a vector giving the threshold on the number of agents in each group, and on the queue size, for state space partitioning in order to use adaptive transition rate. The first I columns of the matrix concern agent groups, while the last column concerns the waiting queue.

  If element i=0,...,I-1 for a given vector of thresholds is greater than the maximal number of agents in group i given by the `maxNumAgents` element, or if element I is greater than the queue capacity set in the model, the vector is ignored. Moreover, a vector with thresholds corresponding to the maximal number of agents and queue capacity is added if not given by the user.

  If this element is omitted, no state space partitioning is used. If a single occurrence of this element is present, the given matrix of thresholds is used for all main periods of the model. Otherwise, there must be P occurrences of this element, one for each main period. Occurrence p for p=0,...,P-1 is then used for main period p.

  Type: | ssj:IntArray, complex content
  Defined: | locally, within (this) ccapp:CTMCRepSimParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="thresholds" type="ssj:IntArray"> </xsd:element>

XML Schema documentation generated with DocFlex/XML (Kit) v1.6.8 DocFlex/XML (Kit) is a freeware edition of DocFlex/XML, which is a powerful template-driven documentation and report generator from any data stored in XML files. Based on an innovative technology developed by FILIGRIS WORKS, this new tool offers virtuoso data querying and formatting capabilities not found in anything else! Need to convert your XML data into a clear nice-looking documentation or reports? Web-ready hypertext HTML or printable MS Word / OpenOffice.org friendly RTF? DocFlex/XML may be a cheap, quick and effective solution exactly for this task! Have questions? Not sure how to use it? Just send us e-mail to contact@filigris.com and we are always happy to help you! See also our services at www.filigris.com